//=============================================================================
//  @brief  Implementations (bodies) of extern functions RESSL help command
//  @author Bryan Morris, Jeff McNeal, Verilab (www.verilab.com)
// =============================================================================
//
//                      RESSL SystemVerilab Utilities Library
//
// @File: ressl_impl_Commands_help.svh
//
// Copyright 2015 Verilab, Inc.
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//=============================================================================

// -------------------- Strategy / Policy patterns

// ---- help_cmd Implementation

// help_cmd: Provide specific or general help
// Syntax: help [verb]
task help_cmd::execute(
   input string args[$],
   ref   boolean is_command_valid                    
);
   string       my_help;
   string       my_verb = args[0];

   // Did they ask for help for a specific command?
   if (my_verb == "") begin
      my_help = this.ressl_.help_all();
   end
   else begin
      my_help = this.ressl_.help(my_verb);
   end

   this.ressl_.stdout(my_help);
endtask : execute                              

function string help_cmd::help( );
   help = "help [verb]";
endfunction : help

