//=============================================================================
//  @brief  types and classes for RESSL attach command 
//  @author Bryan Morris, Jeff McNeal, Verilab (www.verilab.com)
// =============================================================================
//
//                      RESSL SystemVerilab Utilities Library
//
// @File: ressl_pkg_Commands_attach.svh
//
// Copyright 2015 Verilab, Inc.
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//=============================================================================

// --- Class attach_cmd
// Attaches a sequencer to a sequence.
// Syntax: attach <seqr> <to_seq>
class attach_cmd extends ressl_cmd;
  `uvm_object_utils(attach_cmd)

   function new(string name = "attach");
      super.new(name);
      this.save_this_cmd_ = TRUE;
   endfunction : new
   
   extern virtual task execute( input string args[$], ref boolean is_command_valid );
   extern virtual function string help( );

   extern local function int unsigned get_repeat_count(input string repeat_count_arg);
   extern local function void attach(ref seq_info seq_seqr_info, input uvm_sequencer_base seqr);
endclass : attach_cmd

// ============================================================================
/////////////////// IMPLEMENTATIONS OF EXTERN CLASS METHODS ///////////////////

`include "ressl_impl_Commands_attach.svh"
