//=============================================================================
//  @brief  types and classes for RESSL create command
//  @author Bryan Morris, Jeff McNeal, Verilab (www.verilab.com)
// =============================================================================
//
//                      RESSL SystemVerilab Utilities Library
//
// @File: ressl_pkg_Commands_create.svh
//
// Copyright 2015 Verilab, Inc.
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//=============================================================================

// --- Class: create
// Creates a new sequence based on the name.
// Syntax: create <seq_type> <seq_name>
class create_cmd extends ressl_cmd;
   `uvm_object_utils(create_cmd)

    function new(string name = "create");
       super.new(name);
       this.save_this_cmd_ = TRUE;
    endfunction : new
   extern virtual task execute( input string args[$], ref boolean is_command_valid );
   extern virtual function string help( );
   extern function void add_seq(
      input string     seq_name,
      input uvm_object seq,
      input string     seq_type,                         
      ref boolean      is_command_valid
   );
   extern function void add_seqr(
      input string     seqr_name,
      input uvm_object seqr,
      input string     seqr_type,                                 
      ref boolean is_command_valid
   );
   
endclass : create_cmd

// ============================================================================
/////////////////// IMPLEMENTATIONS OF EXTERN CLASS METHODS ///////////////////

`include "ressl_impl_Commands_create.svh"
