//=============================================================================
//  @brief  types and classes for RESSL select command
//  @author Bryan Morris, Jeff McNeal, Verilab (www.verilab.com)
// =============================================================================
//
//                      RESSL SystemVerilab Utilities Library
//
// @File: ressl_pkg_Commands_select.svh
//
// Copyright 2015 Verilab, Inc.
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//=============================================================================

// --- Class select_cmd
// Selects the sequence name that should be placed into the current context. 
// i.e., the sequence being operated on.

// Syntax : select <full seq_path> 
class select_cmd extends ressl_cmd;
  `uvm_object_utils(select_cmd)

   function new(string name = "select");
      super.new(name);
      this.save_this_cmd_ = TRUE;
   endfunction : new
   
   extern virtual task execute( input string args[$], ref boolean is_command_valid );
   extern virtual function string help( );
endclass : select_cmd

// ============================================================================
/////////////////// IMPLEMENTATIONS OF EXTERN CLASS METHODS ///////////////////

`include "ressl_impl_Commands_select.svh"
