//=============================================================================
//  @brief  types and classes for RESSL set command
//  @author Bryan Morris, Jeff McNeal, Verilab (www.verilab.com)
// =============================================================================
//
//                      RESSL SystemVerilab Utilities Library
//
// @File: ressl_pkg_Commands_set.svh
//
// Copyright 2015 Verilab, Inc.
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
//=============================================================================


// --- Class set_cmd
// Sets the supplied sequence index ( in the currently recorded sequence ) to
// { attribute, value }

// Syntax : set <seq_index> <atrib> <value>
class set_cmd extends ressl_cmd;
  `uvm_object_utils(set_cmd)

   function new(string name = "set");
      super.new(name);
      this.save_this_cmd_ = TRUE;
   endfunction : new
   
   extern virtual task execute( input string args[$], ref boolean is_command_valid );
   extern virtual function string help( );
endclass : set_cmd

// ============================================================================
/////////////////// IMPLEMENTATIONS OF EXTERN CLASS METHODS ///////////////////

`include "ressl_impl_Commands_set.svh"
